<?
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	
	if($_POST['FlotillaID'] != ''){
		if(preg_match("/^[[:digit:]]+$/", $_POST['FlotillaID'])){
			if($_POST['Nombre'] != ''){
				if(strlen($_POST['Nombre']) >= 10 && strlen($_POST['Nombre']) <= 30){
					if(preg_match("/^[a-zA-Z0-9\d. -]{10,30}$/i", $_POST['Nombre'])){
						if($_POST['Password'] != ''){
							if(strlen($_POST['Password']) >= 3 && strlen($_POST['Password']) <= 8){
								if(preg_match("/^[a-zA-Z0-9]{3,8}$/i", $_POST['Password'])){
									if($_POST['Grupo'] != ''){
										if(preg_match("/^[[:digit:]]+$/", $_POST['Grupo'])){
											if($_POST['Despachos'] != ''){
												if(preg_match("/^[[:digit:]]+$/", $_POST['Despachos'])){
													if($_POST['Status'] != ''){
														if(preg_match("/^[a-zA-Z]{1,1}$/i", $_POST['Status'])){
															if($_POST['Producto'] != ''){
																if(preg_match("/^[[:digit:]]+$/", $_POST['Producto'])){
																	if($_POST['Identificacion'] != ''){
																		if(strlen($_POST['Identificacion']) >= 4 && strlen($_POST['Identificacion']) <= 30){
																			if(preg_match("/^[ a-zA-Z0-9\d. -]{4,30}$/i", $_POST['Identificacion'])){
																				$ClienteID = $_SESSION['ClienteID'];
																				$FlotillaID = $_POST['FlotillaID'];
																				$QueryFlotilla = mssql_query("SELECT * FROM Vehiculo WHERE VehiculoID = '$FlotillaID' AND ClienteID = '$ClienteID'");
																				if(mssql_num_rows($QueryFlotilla) >= 1){
																					$EvaluarFlotilla = mssql_fetch_array($QueryFlotilla);
																					$Nombre = strtoupper($_POST['Nombre']);
																					$Password = strtoupper($_POST['Password']);
																					$SeccionWebID = $_POST['Grupo'];
																					$Despachos = $_POST['Despachos'];
																					$Status = $_POST['Status'];
																					$Producto = $_POST['Producto'];
																					$Identificacion = strtoupper($_POST['Identificacion']);
																					$Tabla = "Modificacion en Edicion de Tarjeta:".$FlotillaID;
	
																					if($EvaluarFlotilla['Nombre'] != $Nombre){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Nombre', 
																						$EvaluarFlotilla['Nombre'], $Nombre);
																						$Bandera = 1;															
																					}
																					if($EvaluarFlotilla['NIP'] != $Password){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'NIP', 
																						$EvaluarFlotilla['NIP'], $Password);
																						$Bandera = 1;															
																					}
																					if($EvaluarFlotilla['SeccionWebID'] != $SeccionWebID){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'SeccionWebID', 
																						$EvaluarFlotilla['SeccionWebID'], $SeccionWebID);
																						$Bandera = 1;															
																					}
																					if($EvaluarFlotilla['CargasMaximas'] != $Despachos){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'CargasMaximas', 
																						$EvaluarFlotilla['CargasMaximas'], $Despachos);
																						$Bandera = 1;														
																					}
																					if($EvaluarFlotilla['Identificacion'] != $Identificacion){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Identificacion', 
																						$EvaluarFlotilla['Identificacion'], $Identificacion);
																						$Bandera = 1;														
																					}
																					if(trim($EvaluarFlotilla['ProductoAutorizado']) != $Producto){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'ProductoAutorizado', 
																						$EvaluarFlotilla['ProductoAutorizado'], $Producto);
																						$Bandera = 1;
																					}
																					if($EvaluarFlotilla['Estatus'] != $Status){
																						RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																						$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Estatus', 
																						$EvaluarFlotilla['Estatus'], $Status);
																						$Bandera = 1;		
																					}
																					if($Bandera == 1){
																						$QueryUpdate = mssql_query("UPDATE Vehiculo SET Nombre = '$Nombre',  NIP = '$Password',
																						CargasMaximas = '$Despachos', Estatus = '$Status', Identificacion = '$Identificacion',
																						ProductoAutorizado = '$Producto', SeccionWebID = '$SeccionWebID'  WHERE VehiculoID = '$FlotillaID'");
																						echo'Actualizado';
																					}else
																						echo "<p class='success'>No existen cambios que registrar de la Flotilla!</p>";								
																				}else
																					echo "<p class='error'>La Flotilla seleccionada no pertenece al Cliente/Usuario Autenticado!</p>";
																			}else
																				echo "<p class='success'>La Identificación no acepta caracteres especiales!</p>";
																		}else
																			echo "<p class='error'>La identificación esta fuera del rango permitido de caracteres!</p>";
																	}else
																		echo "<p class='error'>Escriba la Identificación de la Flotilla!</p>";
																}else
																	echo "<p class='error'>El Producto Autorizado solo acepta números!</p>";
															}else
																echo "<p class='error'>Seleccione el Producto Autorizado de la Flotilla!</p>";
														}else
															echo "<p class='error'>El Status solo acepta letras!</p>";
													}else
														echo "<p class='error'>Seleccione el Status de la Flotilla!</p>";
												}else
													echo "<p class='error'>La cantidad de Despachos Autorizados deben ser númericos!</p>";
											}else
												echo "<p class='error'>Escriba la cantidad de Despachos Autorizados!</p>";
										}else
											echo "<p class='error'>El Grupo solo acepta números!</p>";
									}else
										echo "<p class='error'>Seleccione el Grupo para el Usuario!</p>";
								}else
									echo "<p class='error'>La Contraseña solo acepta números y letras!</p>";
							}else
								echo "<p class='error'>La Contraseña esta fuera del rango permitido de caracteres!</p>";
						}else
							echo "<p class='error'>Escriba la Contraseña!</p>";
					}else
						echo "<p class='error'>El Nombre de la Flotilla esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>El Nombre de la Flotilla no acepta caracteres especiales!</p>";
			}else
				echo "<p class='error'>Escriba el Nombre de la Flotilla!</p>";
		}else
			echo "<p class='error'>El No. de Flotilla debe ser númerico!</p>";
	}else
		echo "<p class='error'>Selecione la Flotilla a Modificar!</p>";
}
?>